package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 新闻资讯表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("sys_news_information")
public class SysNewsInformation extends Model<SysNewsInformation> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    /**
     * 标题
     */
    @TableField("title_")
    private String title;
    /**
     * 内容
     */
    @TableField("content_")
    private String content;
    /**
     * 封面图片
     */
    @TableField("cover_image_")
    private String coverImage;
    /**
     * 类型
     */
    @TableField("type_")
    private Integer type;
    /**
     * 状态（1-可见 0-不可见）
     */
    @TableField("status_")
    private String status;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;
    /**
     * 链接地址
     */
    @TableField("link_url_")
    private String linkUrl;
    /**
     * 跳转类型_bank,_slef
     */
    @TableField("href_target_")
    private String hrefTarget;
    /**
     * 顺序号
     */
    @TableField("order_")
    private Integer order;


    public Long getId() {
        return id;
    }

    public SysNewsInformation setId(Long id) {
        this.id = id;
        return this;
    }

    public String getTitle() {
        return title;
    }

    public SysNewsInformation setTitle(String title) {
        this.title = title;
        return this;
    }

    public String getContent() {
        return content;
    }

    public SysNewsInformation setContent(String content) {
        this.content = content;
        return this;
    }

    public String getCoverImage() {
        return coverImage;
    }

    public SysNewsInformation setCoverImage(String coverImage) {
        this.coverImage = coverImage;
        return this;
    }

    public Integer getType() {
        return type;
    }

    public SysNewsInformation setType(Integer type) {
        this.type = type;
        return this;
    }

    public String getStatus() {
        return status;
    }

    public SysNewsInformation setStatus(String status) {
        this.status = status;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public SysNewsInformation setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public SysNewsInformation setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public String getLinkUrl() {
        return linkUrl;
    }

    public SysNewsInformation setLinkUrl(String linkUrl) {
        this.linkUrl = linkUrl;
        return this;
    }

    public String getHrefTarget() {
        return hrefTarget;
    }

    public SysNewsInformation setHrefTarget(String hrefTarget) {
        this.hrefTarget = hrefTarget;
        return this;
    }

    public Integer getOrder() {
        return order;
    }

    public SysNewsInformation setOrder(Integer order) {
        this.order = order;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "SysNewsInformation{" +
        ", id=" + id +
        ", title=" + title +
        ", content=" + content +
        ", coverImage=" + coverImage +
        ", type=" + type +
        ", status=" + status +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", linkUrl=" + linkUrl +
        ", hrefTarget=" + hrefTarget +
        ", order=" + order +
        "}";
    }
}
